Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.print
Class PrinterIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.awt.print.PrinterException
                  java.awt.print.PrinterIOException

All Implemented Interfaces:
  Serializable

    public class PrinterIOException

extends PrinterException

The `PrinterIOException` class is a subclass of `PrinterException` and is used to indicate that an IO error of some sort has occurred while printing.

As of release 1.4, this exception has been retrofitted to conform to the general purpose exception-chaining mechanism. The "`IOException` that terminated the print job" that is provided at construction time and accessed via the `getIOException()` method is now known as the cause, and may be accessed via the `Throwable.getCause()` method, as well as the aforementioned "legacy method."

See Also:
  Serialized Form

Constructor Summary
`PrinterIOException(IOException exception)` Constructs a new `PrinterIOException` with the string representation of the specified `IOException`.

Method Summary
`Throwable` | `getCause()` Returns the the cause of this exception (the `IOException` that terminated the print job).
`IOException` | `getIOException()` Returns the `IOException` that terminated the print job.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrinterIOException

    public PrinterIOException(IOException exception)

  Constructs a new `PrinterIOException` with the string representation of the specified `IOException`.

  Parameters:
    `exception` - the specified `IOException`

Method Detail

### getIOException

    public IOException getIOException()

  Returns the `IOException` that terminated the print job.

  This method predates the general-purpose exception chaining facility. The `Throwable.getCause()` method is now the preferred means of obtaining this information.

  Returns:
    the `IOException` that terminated the print job.
  See Also:
    `IOException`

### getCause

    public Throwable getCause()

  Returns the the cause of this exception (the `IOException` that terminated the print job).

  Overrides:
    `getCause` in class `Throwable`
  Returns:
    the cause of this exception.
  Since:
    1.4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2010, Oracle and/or its affiliates. All rights reserved.